;;; /bham/common/system/templates/user.poplog/Poplib/vedfiletypes.p
;;; -- See  HELP * VEDFILETYPES
;;; Aaron Sloman
;;; Updated 2 Mar 1998
;;; Updated  15 Jan 1998 (prologfiletypes)

;;; Compiled by vedinit.p

;;; Suffixes identifying ML files
global vars pmlfiletypes = ['.ml' '.ML' '.sml' '.sig'];

;;; Suffixes identifying files that don't automatically wrap

global vars vednonbreakfiles =
	[ '.ph'  '.s' '.ps' '.c'
		'.xstart' '.xsession' '.xclients' '.xinitrc'
		'.xmain' '.Xdefaults'
		'.login' '.cshrc'
		'.uwmrc' '.twmrc' '.tvtwmrc'
	] <> vednonbreakfiles;

;;; lispfiletypes set by the system

;;; Now, how to treat each set of file types.
;;; Ensure VED variables are set up right for different types of files
;;; by assigning the following control list to -vedfiletypes-
;;; a list of lists each of form [<condition> <action1> <action2> ...]

[
	;;; First the default case --  empty string matches any file name
	[''
		{vedindentstep 4} {vednotabs ^true} {vedbreak ^true}
		{popcompiler compile} ;;; Unsafe default?

		{vedlinemax 72}]	  ;;; default 72 column right margin

	;;; get value of popcompiler, etc. right
	['.p'
			{subsystem "pop11}]
	[lispfiletypes
			{subsystem "lisp}]
    [prologfiletypes
			{subsystem "prolog}]
	[pmlfiletypes
			{subsystem "ml}]

	[['.p' '.pl' lispfiletypes pmlfiletypes]
			{vedcompileable ^true}]

	;;; The list -vednonbreakfiles- is defined above
	[vednonbreakfiles {vedbreak ^false}]

    ;;; Make sure VED's output files, from lmr etc are not compiled
	;;; by ENTER L, ENTER C, etc.
	[is_ved_output_file {vedcompileable ^false}]

	;;; make sure vednotabs set false for program, lib and data files
	[['.p' '.ph' '.pl' lispfiletypes '.com' '.s' '.c' '.i'
		pmlfiletypes
			^(hassubstring(%'/lib/'%)) ^(hassubstring(%'/data'%))
	 	]
	 	{vednotabs ^false}
	]

] -> vedfiletypes;
